/// A module with the given API name already exists in the current organization.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ModuleNameConflict {
    #[builder(into)]
    #[serde(rename = "moduleApiName")]
    module_api_name: String,
}
impl ModuleNameConflict {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(module_api_name: impl Into<String>) -> Self {
        Self::builder().module_api_name(module_api_name).build()
    }
    #[inline]
    pub fn module_api_name(&self) -> &str {
        &*self.module_api_name
    }
}
impl conjure_error::ErrorType for ModuleNameConflict {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::Conflict
    }
    #[inline]
    fn name() -> &'static str {
        "Module:ModuleNameConflict"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
